Skip to main content
POST
/
api
/
public
/
v1
/
vms
/
{id}
/
rebuild
Rebuild a virtual machine
curl --request POST \
  --url https://api.vmarea.com/api/v1/api/public/v1/vms/{id}/rebuild \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "osTemplateId": "<string>",
  "password": "<string>",
  "sshKeyIds": [
    "<string>"
  ]
}
'
{
  "success": true,
  "data": {
    "actionId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vmarea.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Long-lived API token created at https://vmarea.com/dashboard/settings/api-keys. Tokens are scope-restricted; this spec lists the scope each endpoint requires.

Path Parameters

id
string
required

Body

application/json
osTemplateId
string
Pattern: ^[cC][^\s-]{8,}$
password
string
Required string length: 8 - 128
sshKeyIds
string[]
Maximum array length: 20
Pattern: ^[cC][^\s-]{8,}$

Response

Default Response

success
enum<boolean>
required
Available options:
true
data
object
required